function getLayout(self) {	
	var gutter = 5;
	var obj = {
		"scrollableView": {
			"top":  gutter,
			"left": gutter,
			"width": self.parent.width - gutter * 2,
			"height": self.parent.height - gutter
		}
	};
	return obj;
}

function relayout() {
	var self = this;
	var obj = getLayout(self);
	
	for (var i in obj) {
		for (var j in obj[i]) {
			self[i][j] = obj[i][j];
		}
	}
}

// FirstView Component Constructor
function FirstView(parent) {
	//create object instance, a parasitic subclass of Observable
	var self = this;
	self.parent = parent;
	
	var layout = getLayout(self);
	
	// Load up the views
	var aViews = [];
	aViews[0] = Ti.UI.createWebView({
		url: 'HTML/WebView1.html'
	});
	aViews[1] = Ti.UI.createWebView({
		url: 'HTML/WebView2.html'
	});

	// Create the scrollable view
	self.scrollableView = Ti.UI.createScrollableView({
		pagingControlColor : 'transparent',
		showPagingControl : true,
		pagingControlHeight : 30,
		views : aViews,
		currentPage : 0,
		backgroundColor: "#888888"	
	});
	
	// Handle orientation.	
	function relayoutWebView(e) {
		self.relayout();
	}
	self.parent.addEventListener("open", relayoutWebView);
	self.parent.addEventListener("close", function webViewClose(e) {
		Ti.Gesture.removeEventListener("orientationchange", relayoutWebView);
	});
	Ti.Gesture.addEventListener("orientationchange", relayoutWebView);

	return self;
}

FirstView.prototype.relayout = relayout;
module.exports = FirstView;
